import { defineConfig } from 'astro/config';
import starlight from '@astrojs/starlight';

// https://astro.build/config
export default defineConfig({
  outDir: 'public',
  publicDir: 'static',

  site: 'https://slop.party',
  sitemap: true,

  integrations: [
    starlight({
      title: 'slop',
      social: {
      },
      sidebar: [
        {
          label: 'Get Started',
          link: '/get-started'
        },
        {
          label: 'Using Slop',
          items: [],
        },
        {
          label: 'Administration',
          items: [
            {
              label: 'Installation',
              items: [
                {
                  label: 'Before You Start',
                  link: '/administration/installation/before-you-start'
                },
                {
                  label: 'From Source',
                  link: '/administration/installation/install-from-source'
                },
                {
                  label: 'Using Binaries',
                  link: '/administration/installation/install-using-binaries'
                },
                {
                  label: 'Using Containers',
                  link: '/administration/installation/install-using-containers'
                },
              ],
            },
          ],
        }
      ],
    }),
  ],

  // Process images with sharp: https://docs.astro.build/en/guides/assets/#using-sharp
  image: { service: { entrypoint: 'astro/assets/services/sharp' } },
});
